atincl Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Data Fields
atincl Module Reference
Collaboration diagram for atincl:

## Public Member Functions
subroutine | init_meteo
subroutine | finalize_meteo

## Data Fields
double precision, dimension(:), allocatable | tmmet
double precision, dimension(:), allocatable | zdmet
double precision, dimension(:), allocatable | ztmet
double precision, dimension(:,:), allocatable | umet
double precision, dimension(:,:), allocatable | vmet
double precision, dimension(:,:), allocatable | wmet
double precision, dimension(:,:), allocatable | ekmet
double precision, dimension(:,:), allocatable | epmet
double precision, dimension(:,:), allocatable | ttmet
double precision, dimension(:,:), allocatable | qvmet
double precision, dimension(:,:), allocatable | ncmet
double precision, dimension(:), allocatable | pmer
double precision, dimension(:), allocatable | xmet
double precision, dimension(:), allocatable | ymet
double precision, dimension(:,:), allocatable | rmet
double precision, dimension(:,:), allocatable | tpmet
double precision, dimension(:,:), allocatable | phmet
double precision, dimension(:), allocatable | nebdia
double precision, dimension(:), allocatable | nn
integer, save | itotwt
integer, save | intdrp
integer, save | itempc
integer, save | iliqwt
integer, save | imeteo
integer, save | nbmetd
integer, save | nbmett
integer, save | nbmetm
integer, dimension(nozppm), save | iprofm
integer, save | initmeteo
double precision, save | ps
double precision, save | rvsra
double precision, save | cpvcpa
double precision, save | clatev
double precision, save | gammat
double precision, save | rvap
integer, save | syear
integer, save | squant
integer, save | shour
integer, save | smin
double precision, save | ssec
double precision, save | xlon
double precision, save | xlat
integer, save | nbmaxt
integer, save | ihpm
integer, save | ivert
integer, save | nvert
integer, save | kvert
integer, save | kmx
integer, save | iatra1
integer, save | nfatr1
integer, save | iqv0
integer, save | idrayi
integer, save | idrayst
integer, save | igrid
double precision, dimension(:,:), allocatable | xyvert
double precision, dimension(:), allocatable | zvert
double precision, dimension(:), allocatable | acinfe
double precision, dimension(:), allocatable | dacinfe
double precision, dimension(:,:), allocatable | aco2
double precision, dimension(:,:), allocatable | daco2
double precision, dimension(:), allocatable | acsup
double precision, dimension(:), allocatable | dacsup
double precision, dimension(:), allocatable | tauzq
double precision, dimension(:), allocatable | tauz
double precision, dimension(:), allocatable | zq
double precision, save | tausup
double precision, dimension(:), allocatable | zray
double precision, dimension(:,:), allocatable | rayi
double precision, dimension(:,:), allocatable | rayst
integer, save | iatsoil
double precision, save | w1ini
double precision, save | w2ini
integer, save | modsub
integer, save | moddis
integer, save | modnuc
integer, save | modsedi
double precision, save | sigc
integer, save | init_at_chem
| force initilization in case of restart (this option is automatically set in lecamp) More...

## Member Function/Subroutine Documentation

subroutine finalize_meteo | ( |  | ) |

subroutine init_meteo | ( |  | ) |

## Field Documentation

double precision, dimension(:), allocatable acinfe

double precision, dimension(:, :), allocatable aco2

double precision, dimension(:), allocatable acsup

double precision, save clatev

double precision, save cpvcpa

double precision, dimension(:), allocatable dacinfe

double precision, dimension(:,:), allocatable daco2

double precision, dimension(:), allocatable dacsup

double precision, dimension(:,:), allocatable ekmet

double precision, dimension(:,:), allocatable epmet

double precision, save gammat

integer, save iatra1

integer, save iatsoil

integer, save idrayi

integer, save idrayst

integer, save igrid

integer, save ihpm

integer, save iliqwt

integer, save imeteo

integer, save init_at_chem

force initilization in case of restart (this option is automatically set in lecamp)

integer, save initmeteo

integer, save intdrp

integer, dimension(nozppm), save iprofm

integer, save iqv0

integer, save itempc

integer, save itotwt

integer, save ivert

integer, save kmx

integer, save kvert

integer, save moddis

integer, save modnuc

integer, save modsedi

integer, save modsub

integer, save nbmaxt

integer, save nbmetd

integer, save nbmetm

integer, save nbmett

double precision, dimension(:,:), allocatable ncmet

double precision, dimension(:), allocatable nebdia

integer, save nfatr1

double precision, dimension(:), allocatable nn

integer, save nvert

double precision, dimension(:,:), allocatable phmet

double precision, dimension(:), allocatable pmer

double precision, save ps

double precision, dimension(:,:), allocatable qvmet

double precision, dimension(:,:), allocatable rayi

double precision, dimension(:,:), allocatable rayst

double precision, dimension(:,:), allocatable rmet

double precision, save rvap

double precision, save rvsra

integer, save shour

double precision, save sigc

integer, save smin

integer, save squant

double precision, save ssec

integer, save syear

double precision, save tausup

double precision, dimension(:), allocatable tauz

double precision, dimension(:), allocatable tauzq

double precision, dimension(:), allocatable tmmet

double precision, dimension(:,:), allocatable tpmet

double precision, dimension(:,:), allocatable ttmet

double precision, dimension(:,:), allocatable umet

double precision, dimension(:,:), allocatable vmet

double precision, save w1ini

double precision, save w2ini

double precision, dimension(:,:), allocatable wmet

double precision, save xlat

double precision, save xlon

double precision, dimension(:), allocatable xmet

double precision, dimension(:,:), allocatable xyvert

double precision, dimension(:), allocatable ymet

double precision, dimension(:), allocatable zdmet

double precision, dimension(:), allocatable zq

double precision, dimension(:), allocatable zray

double precision, dimension(:), allocatable ztmet

double precision, dimension(:), allocatable zvert

The documentation for this module was generated from the following file:

- src/atmo/atincl.f90